from edc_sites.single_site import SingleSite

fqdn = "effect.clinicedc.org"
sa_languages = {
    "en": "English",
    "af": "Afrikaans",
    "st": "Sotho",
    "sw": "Swahili",
    "tn": "Tswana",
    "xh": "Xhosa",
    "zu": "Zulu",
}
tz_languages = {"sw": "Swahili", "en": "English", "mas": "Maasai"}
vie_languages = {"vie": "Vietnamese", "en": "English"}

all_sites = {
    "south_africa": (
        SingleSite(
            110,
            "capetown",
            title="UCT: Khayelitsha and Mitchell’s Plain (Cape Town)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"capetown.sa.{fqdn}",
        ),
        SingleSite(
            120,
            "baragwanath",
            title="Wits: Chris Hani Baragwanath (Soweto)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"baragwanath.sa.{fqdn}",
        ),
        SingleSite(
            130,
            "helen_joseph",
            title="Wits: Helen Joseph (Johannesburg)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"helen-joseph.sa.{fqdn}",
        ),
        SingleSite(
            140,
            "tshepong",
            title="Wits: Tshepong (Klerksdorp)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"tshepong.sa.{fqdn}",
        ),
        SingleSite(
            150,
            "king_edward",
            title="UKZN: King Edward VIII (Durban)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"king-edward.sa.{fqdn}",
        ),
        SingleSite(
            160,
            "harry_gwala",
            title="UKZN: Harry Gwala (Pietermaritzburg)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"harry-gwala.sa.{fqdn}",
        ),
        SingleSite(
            170,
            "livingstone",
            title="WSU: Livingstone (Gqeberha)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"livingstone.sa.{fqdn}",
        ),
        SingleSite(
            180,
            "dora_nginza",
            title="WSU: Dora Nginza (Gqeberha)",
            country="south_africa",
            country_code="sa",
            languages=sa_languages,
            domain=f"dora-nginza.sa.{fqdn}",
        ),
    ),
    "tanzania": (
        SingleSite(
            200,
            "amana",
            title="Amana Hospital",
            country="tanzania",
            country_code="tz",
            languages=tz_languages,
            domain=f"amana.tz.{fqdn}",
        ),
        SingleSite(
            210,
            "temeke",
            title="Temeke Hospital",
            country="tanzania",
            country_code="tz",
            languages=tz_languages,
            domain=f"temeke.tz.{fqdn}",
        ),
        SingleSite(
            220,
            "mwananyamala",
            title="Mwananyamala Hospital",
            country="tanzania",
            country_code="tz",
            languages=tz_languages,
            domain=f"mwananyamala.tz.{fqdn}",
        ),
    ),
    # "vietnam": (
    #     SingleSite(
    #         300,
    #         "amana",
    #         title="Hospital",
    #         country="vietnam",
    #         country_code="vie",
    #         languages=vie_languages,
    #         domain=f"???.vie.{fqdn}",
    #     ),
    # ),
}
